<?php

/*
*
* INFOATCLUSTER TECHNOLABS LLP ("COMPANY") CONFIDENTIAL
* Copyright (c) 2016-2017 INFOATCLUSTER TECHNOLABS LLP, All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of INFOATCLUSTER TECHNOLABS LLP. The intellectual and technical concepts contained
* herein are proprietary to INFOATCLUSTER TECHNOLABS LLP and may be covered by Indian and Foreign Patents, patents in process, and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material is strictly forbidden unless prior written permission is obtained
* from COMPANY.  Access to the source code contained herein is hereby forbidden to anyone except current COMPANY employees, managers or contractors who have executed 
* Confidentiality and Non-disclosure agreements explicitly covering such access.
*
* The copyright notice above does not evidence any actual or intended publication or disclosure  of  this source code, which includes  
* information that is confidential and/or proprietary, and is a trade secret, of  COMPANY.   ANY REPRODUCTION, MODIFICATION, DISTRIBUTION, PUBLIC  PERFORMANCE, 
* OR PUBLIC DISPLAY OF OR THROUGH USE  OF THIS  SOURCE CODE  WITHOUT  THE EXPRESS WRITTEN CONSENT OF COMPANY IS STRICTLY PROHIBITED, AND IN VIOLATION OF APPLICABLE 
* LAWS AND INTERNATIONAL TREATIES.  THE RECEIPT OR POSSESSION OF  THIS SOURCE CODE AND/OR RELATED INFORMATION DOES NOT CONVEY OR IMPLY ANY RIGHTS  
* TO REPRODUCE, DISCLOSE OR DISTRIBUTE ITS CONTENTS, OR TO MANUFACTURE, USE, OR SELL ANYTHING THAT IT  MAY DESCRIBE, IN WHOLE OR IN PART.                
*
*
* @author Mohammed Shayas M K
* 
*/

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Http\Helper\Helper;
use App\Validators\BannerValidator;
use Illuminate\Support\Facades\Hash;
use App\Managers\Banner\BannerManager;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;
use App\Managers\Schedule\ScheduleManager;
use App\Managers\Player\PlayerManager;
use App\Managers\Profile\ProfileManager;
use App\Managers\SchedulePlayers\SchedulePlayersManager;

class MatchesController extends Controller
{
    public function __construct()
    {
        $this->helper = new Helper();
        $this->scheduleManger = new ScheduleManager();
        $this->playerManager = new PlayerManager();
        $this->profile = new ProfileManager();
        $this->schedulePlayers = new SchedulePlayersManager();
    }
    
    public function index()
    {
        return view('main/matches/list');
    }
    
    public function tactics($uuid)
    {
        $profile = $this->profile->first();
        return view('main/matches/tactics')->with('UUID', $uuid)->with('profile', $profile);
    }
    
    public function playerEvaluation($uuid)
    {
        $lastestSchedule = $this->scheduleManger->with('sub1', 'sub2', 'sub3', 'sub4', 'sub5')->where('UUID', '=', $uuid)->orderBy('date_date', 'DESC')->first();
        if(!$lastestSchedule)
        {
            return redirect('/');
            exit;
        }
        
        if(isset($lastestSchedule->sub1->name))
        {
            $sub1 = $lastestSchedule->sub1->name;
        }
        else
        {
            $sub1 = '';
        }
        
        if(isset($lastestSchedule->sub2->name))
        {
            $sub2 = $lastestSchedule->sub2->name;
        }
        else
        {
            $sub2 = '';
        }
        
        if(isset($lastestSchedule->sub3->name))
        {
            $sub3 = $lastestSchedule->sub3->name;
        }
        else
        {
            $sub3 = '';
        }

        if(isset($lastestSchedule->sub4->name))
        {
            $sub4 = $lastestSchedule->sub4->name;
        }
        else
        {
            $sub4 = '';
        }

        if(isset($lastestSchedule->sub5->name))
        {
            $sub5 = $lastestSchedule->sub5->name;
        }
        else
        {
            $sub5 = '';
        }
        
        $players = $this->playerManager->with('playerPosition')->orderBy('name')->get();
        $profile = $this->profile->first();
        return view('main/matches/player_evaluation')->with('UUID', $uuid)
                                                    ->with('players', $players)->with('UUID', $lastestSchedule->UUID)->with('name', $lastestSchedule->name)
                                                    ->with('sub1', $sub1)
                                                    ->with('sub2', $sub2)->with('sub3', $sub3)
                                                    ->with('sub4', $sub4)->with('sub5', $sub5)
                                                    ->with('profile', $profile)->with('result', $lastestSchedule->result);
    }
    
    public function getAllPostMatchFormationPlayers($scheduleID)
    {
        $schedule = $this->scheduleManger->where('UUID', $scheduleID)->first();
        if(!$schedule)
        {
            return redirect('/');
        }
        $players = $this->schedulePlayers->with('player')->where('schedule_id', $scheduleID)->get();
        return view('main/matches/players')->with('schedule', $schedule)->with('players', $players);
    }
}