<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTacticSuggestionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tactic_suggestions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->uuid('UUID')->unique();
            $table->text('suggestions');
            $table->string('ip', 255);
            $table->text('admin_response')->nullable();
            $table->boolean('confirm')->default(0);
            $table->boolean('reject')->default(0);
            $table->bigInteger('no_of_likes')->default(0);
            $table->uuid('user_id');
            $table->timestamps();
            
            $table->softDeletes();
            
            $table->foreign('user_id')->references('UUID')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tactic_suggestions');
    }
}
